Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159258 - lock_gulm libwrap dependency
Summary: lock_gulm libwrap dependency
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: gulm
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Feist
QA Contact: GFS Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-31 22:20 UTC by Victoriano Giralt
Modified: 2009-12-22 20:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 20:39:10 UTC


Attachments (Terms of Use)

Description Victoriano Giralt 2005-05-31 22:20:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
GFS install all userland utilities, properly, in /sbin, which facilitates making a SSI, including using a GFS root filesystem, except that lock_gulmd is dynamically linked against /usr/lib/libwrap.so.0. Thhis requires a extrange contraption in case /usr will be located (as usual) in a differente partition, that, in case of SSI could also  be stored in GFS, if it were not for this dependecy, that creates a chicken and egg situation.

Version-Release number of selected component (if applicable):
GFS-6.0.2-26

How reproducible:
Always

Steps to Reproduce:
1.Install GFS
2.ldd /sbin/lock_gulmd

  

Actual Results:  libwrap.so.0 => /usr/lib/libwrap.so.0 (0x0059e000)
Thus preventing a smooth transition to a single system image

Expected Results:  Either lock_gulmd should not be linked against libwrap, libwrap should be statically linked into lock_gulmd or libwrap should be insalled to /lib (least desirable IMO)

Additional info:

Comment 1 michael conrad tadpol tilstra 2005-06-01 15:11:56 UTC
the calls to libwrap have been in a dead code path for a couple releases now, so
there isn't really any sense in keeping it.  So removed libwrab from gulm.

Comment 2 Lon Hohberger 2009-12-22 20:39:10 UTC
Cleanup.

This bugzilla should be resolved with the current packages from RHN for Red Hat Global File System for Red Hat Enterprise Linux 3.

GFS-6.0.2.36-9


Note You need to log in before you can comment on or make changes to this bug.